Skip to main content
POST
/
commerce
/
orders
/
{orderId}
/
processreturnrules
Error
A valid request URL is required to generate request examples
[
  {
    "appliedReturnRuleInfo": {
      "isItemReturnable": true,
      "maxReturnQtyExceeded": true,
      "returnRuleInfo": {
        "isReturnable": true,
        "maxDays": 123,
        "maxQty": 123,
        "ruleCode": "<string>"
      },
      "returnWindowClosed": true
    },
    "shipmentItemId": 123,
    "shipmentNumber": 123
  }
]

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

orderId
string
required

Unique identifier of the order item.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

List of the shipments and their items to validate return rules

items
object[] | null
totalCount
integer<int32>

Response

Success

appliedReturnRuleInfo
object
shipmentItemId
integer<int32>
shipmentNumber
integer<int32>